Firestorm to Start Blocking Viewers

Jessica Lyon, the project manager for the Firestorm Viewer, posted that they will begin blocking older versions of their viewers. Jessica is anticipating the drama this will bring on. By her writing you can tell she is expecting a chorus for complaints one might hear from a 10-year old trying to manipulate their parents.  I suspect she is right.

Firestorm Logo

Firestorm Logo

Jessica points out they have little choice. It is either the Firestorm team blocking or the Lab will take over blocking. I’m not sure that is completely accurate. But, I can see how some will see things that way. In general the Lab does not block viewers. But, if you use the newer viewers you really don’t have a choice about updating your viewer. It automatically updates by default. But, that can be turned off.

There are mandatory updates that the Lab requires from time to time. I expect as some of the current changes being made allow better overall SL performance, which are viewer dependent, more updates are going to be mandatory. So, whether there is a misconception about what is and is not going to be blocked and by who, you are going to be updating your viewer or find yourself unable to login. Otherwise you will be degrading other people’s performance. 

Jessica points out that some people are using viewers that can’t render mesh or avatars (they get gray avatars). Failing to update is degrading what people can see. I don’t quite understand why people using old viewers with highly degraded render quality are staying in SL and yet failing to update.

By about the end of November the Firestorm team will only allow the three latest versions of the Firestorm Viewer to run on Second Life.

Alternatives

Computers made in the last 6 years can run Firestorm. Some video cards are too weak to run SL. But, today I see an nVidia GTX260 for sale on eBay for US$60.

For those with computer issues and a text viewer may get them by until they can figure out what hardware needs to change so they can run a modern viewer.

Firestorm runs on very low end computers. If you are having a problem running a newer Firestorm Viewer contact Firestorm Support to figure out what needs to change.

6 thoughts on “Firestorm to Start Blocking Viewers

  1. Here is an example so that you can understand why some people may not be able to run newer viewer versions: visually handicapped people for example have a hard time using any V2 / V3 viewers because they lack the proper support. So they are forced to use older or lower end viewers. Many are even still on Phoenix because while they cant see people, at least they can read the text and build properly.

    • If they can’t see the rendered world or it doesn’t matter, why not use a text based viewer?

  2. The fact they see grey avatars doesn’t mean they do not see themselves, and what surrounds them, move around build or scripting. I know some people on a dramatic situation: not be able to afford even a “new” second hand machine for their hobbie, is not main of their problems… at all. Nor it would be a solution, but you may agree that having the escape route that SL is.. helps sometimes. So they have a good reason to stick to an old viewer, as they have not other choice. Would be sad for me and them they are not able to log anymore.

    • It is sad. But, things move forward and that is life.

      Those with limited resources are free to understand politics and economics and vote to change things to create a better life. But, they don’t have a right to hold the rest of us back. We are free to move ahead. When using older viewers pulls the system down for everyone, the scenario gets complicated. Who’s rights trump who’s rights? Is being pro-choice only about abortion or is it a belief in freedom?

      Those with health issues that are locked into fixed incomes are free to ask for help. There are numerous charities and groups, even in SL, that will help them. But, there is no reason we should hold other people back because someone does not want to upgrade or thinks they can’t.

      My belief is people will find a way to do what they want to do. All the information for a DIY upgrade is on the net. It is cheap. If they can’t afford that cost… well they can change things in their life or be left behind. It is their choice.

      People are only victims when they choose to be.

  3. I figure my “upgrading / new machine on a budget” comment got lost along the way. 🙁
    In short: integrated graphics have come a long way and if you don’t have high gaming needs, you can quite likely build a shiny new rig based on an Intel Haswell dualcore or an AMD A8/A10 basis.

Leave a Reply to Marcus Cancel reply

Your email address will not be published.